ru.bitel.bgbilling.kernel.contract.limit.common.bean

## Class ContractLimitParameters

- java.lang.Object
- - ru.bitel.bgbilling.kernel.contract.limit.common.bean.ContractLimitParameters

-     public class ContractLimitParameters
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractLimitParameters()`
    `ContractLimitParameters(long groups, int maxNotPayoffed, int maxPartialPayoffed, int maxExpiredForBlock, int minDays, int maxDays, java.math.BigDecimal minSumm, java.math.BigDecimal maxSumm, java.math.BigDecimal minLimit)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getGroups()`
    `int` | `getMaxDays()`
    `int` | `getMaxExpiredForBlock()`
    `int` | `getMaxNotPayoffed()`
    `int` | `getMaxPartialPayoffed()`
    `java.math.BigDecimal` | `getMaxSumm()`
    `int` | `getMinDays()`
    `java.math.BigDecimal` | `getMinLimit()`
    `java.math.BigDecimal` | `getMinSumm()`
    `void` | `setGroups(long groups)`
    `void` | `setMaxDays(int maxDays)`
    `void` | `setMaxExpiredForBlock(int maxExpiredForBlock)`
    `void` | `setMaxNotPayoffed(int maxNotPayoffed)`
    `void` | `setMaxPartialPayoffed(int maxPartialPayoffed)`
    `void` | `setMaxSumm(java.math.BigDecimal maxSumm)`
    `void` | `setMinDays(int minDays)`
    `void` | `setMinLimit(java.math.BigDecimal minLimit)`
    `void` | `setMinSumm(java.math.BigDecimal minSumm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractLimitParameters

          public ContractLimitParameters()

    - #### ContractLimitParameters

          public ContractLimitParameters(long groups,
                                         int maxNotPayoffed,
                                         int maxPartialPayoffed,
                                         int maxExpiredForBlock,
                                         int minDays,
                                         int maxDays,
                                         java.math.BigDecimal minSumm,
                                         java.math.BigDecimal maxSumm,
                                         java.math.BigDecimal minLimit)

  - ### Method Detail

    - #### getGroups

          public long getGroups()

    - #### setGroups

          public void setGroups(long groups)

    - #### getMaxNotPayoffed

          public int getMaxNotPayoffed()

    - #### setMaxNotPayoffed

          public void setMaxNotPayoffed(int maxNotPayoffed)

    - #### getMaxPartialPayoffed

          public int getMaxPartialPayoffed()

    - #### setMaxPartialPayoffed

          public void setMaxPartialPayoffed(int maxPartialPayoffed)

    - #### getMaxExpiredForBlock

          public int getMaxExpiredForBlock()

    - #### setMaxExpiredForBlock

          public void setMaxExpiredForBlock(int maxExpiredForBlock)

    - #### getMinDays

          public int getMinDays()

    - #### setMinDays

          public void setMinDays(int minDays)

    - #### getMaxDays

          public int getMaxDays()

    - #### setMaxDays

          public void setMaxDays(int maxDays)

    - #### getMinSumm

          public java.math.BigDecimal getMinSumm()

    - #### setMinSumm

          public void setMinSumm(java.math.BigDecimal minSumm)

    - #### getMaxSumm

          public java.math.BigDecimal getMaxSumm()

    - #### setMaxSumm

          public void setMaxSumm(java.math.BigDecimal maxSumm)

    - #### getMinLimit

          public java.math.BigDecimal getMinLimit()

    - #### setMinLimit

          public void setMinLimit(java.math.BigDecimal minLimit)